Asynchronously Deploy Remote Branch or Ref to Production

Version 4.0.26.10 (latest)

Asynchronously Deploy a Remote Branch or Ref to Production

Git must have been configured and deploy permission required. This endpoint kicks off the deploy process and returns immediately.

Can only specify either a branch or a ref.

Request

POST /projects/{project_id}/async_deploy_ref_to_production
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
project_id
string
Id of project
query
HTTP Query
Expand HTTP Query definition...
branch
string
Branch to deploy to production
ref
string
Ref to deploy to production

Response

200: Returns 200 if project deploy was successfully queued

Datatype
Description
status
string
Status of the async deploy request (e.g., 'queued')

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link